import greenfoot.*;
public class Sky extends Actor{
    public Sky(String nameconstant,int width,int height){
        switch(nameconstant){
            case "Red": setColor(Color.RED,width,height); break;
            case "Yellow": setColor(Color.YELLOW,width,height); break;
            case "Green": setColor(Color.GREEN,width,height); break;
            case "Blue": setColor(Color.BLUE,width,height); break;
            case "Void": setColor(Color.MAGENTA,width,height); break;
        }
    }
    
    public void setColor(Color color,int W,int H){
        GreenfootImage sky = new GreenfootImage(W,H);
        for(int y = 0; y < H; y++) for(int x = 0; x < W; x++){
            Color gradient = new Color(255 - (y*color.getRed()/H),
                                   255 - (y*color.getGreen()/H),
                                   255 - (y*color.getBlue()/H));
            sky.setColorAt(x,H-y-1,gradient);
        } setImage(sky);
    }
}
