import greenfoot.*;
public class Door extends Scrollable{
    private String location = "";
    private String target = "";
    public Door(String color,String location,String target){
        setupImages(color);
        this.location = location;
        this.target = target;
    }
    
    private boolean open = false;
    private static int anime = 0;
    public void act(){
        int ANIMEDELAY = 3;
        anime = (anime+1) % (ANIMEDELAY*idle.length);
        setImage(idle[anime/ANIMEDELAY]);
        if(getOneObjectAtOffset(0,0,Player.class) != null){
            if(open) ((Zone)getWorld()).load(target,location);
        } else open = true;
    }
    
    private GreenfootImage[] idle = new GreenfootImage[15];
    private void setupImages(String filename){
        GreenfootImage slide = new GreenfootImage("sprites"+File.IN+"portals"+File.IN+filename+".png");
          for(int i = 0; i < idle.length; i++){
            idle[i] = new GreenfootImage(192,192);
            for(int y = 0; y < 192; y++) for(int x = 0; x < 192; x++){
                idle[i].setColorAt(x,y,slide.getColorAt(192*(i%5)+x,192*(i/5)+y));
            } idle[i].scale(Zone.UNITSIZE,Zone.UNITSIZE);
        }
    }
}
